GIT-REFACTOR(1)

NAME
git-refactor - Create refactor branch

SYNOPSIS
git-refactor [-r|--remote [remote_name]] [finish] <name>

DESCRIPTION
Create the given refactor branch

OPTIONS
<-r|--remote [remote_name]>

Setup a remote tracking branch using remote_name. If remote_name is not supplied, use origin by default.

<finish>

Merge and delete the refactor branch.

<name>

The name of the refactor branch.

EXAMPLES

$ git refactor mainlib_refactor
`...`
$ git commit -m "Some changes"
`...`
$ git checkout master
$ git refactor finish mainlib_refactor

$ $ git refactor -r upstream mainlib_refactor

AUTHOR
Written by Jesus Espino <jespinog@gmail.com>
Modified by Mark Pitman <mark.pitman@gmail.com>

REPORTING BUGS
<https://github.com/tj/git-extras/issues>

SEE ALSO
<https://github.com/tj/git-extras>